﻿<%@ Page Language="C#"
    MasterPageFile="~/Resources/MasterPages/Modal.Master"
    CodeBehind="AddWorkflowStep.aspx.cs"
    Inherits="Inedo.BuildMaster.Web.WebApplication.Applications.Workflows.AddWorkflowStep"  %>

<asp:Content ContentPlaceHolderID="MainContent" runat="server">

    <bm:InfoBox runat="server" BoxType="Warning" Visible="false" ID="ctlNoEligibleEnvironments">
        There are no steps available to add to this workflow because the workflow already uses all registered environments. 
        If you'd like to add another environment, use <a href="../../../Administration/Environments/Overview.aspx" target="_top">Environment Maintenance</a>.
    </bm:InfoBox>

    <bm:FormFieldGroup runat="server" EndGroup="true" ID="ctlEnvironment">
        <Description Heading="Environment">
            A workflow step is an environment that a build can be promoted to. To the right is a list of environments that
            aren't currently used in the selected workflow.
        </Description>
        <FormFields>
            <bm:StandardFormField runat="server" LabelText="Environment:">
                <FieldContent>
                    <asp:DropDownList runat="server"
                        ID="ddlEnvironments" />
                    <bm:StyledRequiredFieldValidator runat="server"
                        ID="vreq_ddlEnvironments"
                        InitialValue=""
                        ControlToValidate="ddlEnvironments" />
                </FieldContent>
            </bm:StandardFormField>
        </FormFields>
    </bm:FormFieldGroup>

    <div class="action-button-container">
    <asp:Button runat="server"
        ID="btnAddStep"
        OnClick="btnAddStep_Click"
        Text="Add Step"
        Class="button" />
    <asp:Button runat="server"
        ID="btnCancel"
        OnClick="btnCancel_Click"
        Text="Cancel"
        Class="buttonMinor"
        CausesValidation="false" />
    </div>

</asp:Content>
